/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Qpid Proton C++", "index.html", [
    [ "Introduction", "index.html", [
      [ "Namespaces", "index.html#autotoc_md2", null ],
      [ "Conventions", "index.html#autotoc_md3", null ],
      [ "URLs", "index.html#autotoc_md4", null ]
    ] ],
    [ "IO integration", "io_page.html", null ],
    [ "Multithreading", "mt_page.html", [
      [ "Thread-safety rules", "mt_page.html#autotoc_md5", null ],
      [ "Work queues", "mt_page.html#autotoc_md6", null ],
      [ "The wake primitive", "mt_page.html#autotoc_md7", null ],
      [ "Using older versions of C++", "mt_page.html#autotoc_md8", null ]
    ] ],
    [ "Overview", "overview_page.html", [
      [ "Key concepts", "overview_page.html#autotoc_md9", null ],
      [ "The anatomy of a Proton application", "overview_page.html#autotoc_md10", null ],
      [ "Sources and targets", "overview_page.html#autotoc_md11", null ],
      [ "Delivery guarantees", "overview_page.html#autotoc_md12", null ]
    ] ],
    [ "AMQP and C++ types", "types_page.html", [
      [ "Scalar types", "types_page.html#autotoc_md13", null ],
      [ "Holder types", "types_page.html#autotoc_md14", null ],
      [ "Compound types", "types_page.html#autotoc_md15", null ],
      [ "Include files", "types_page.html#autotoc_md16", null ]
    ] ],
    [ "Tutorial", "tutorial_page.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"classproton_1_1error__condition.html#ad2e53bd52dbb1d59081ee7f9f1efc2ac",
"classproton_1_1sender__options.html#a0d94e8f4c1746780259f3eb2d1728aff",
"duration_8hpp.html#a75433dc9fd23c93a56931a82f71233f8",
"type__id_8hpp.html#a83c2656d467d69eb49725c18f5aa13a9"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';